Skip to Content
veriom

Create audit schedule

POST
/v1/workspaces/{workspace_id}/audit-schedules

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
anchor_date?|null
assessment_type?SelectableAssessmentTypeId
Default"security"
Value in"architecture""security"
branch_ref?|null
cadence*Cadence
Value in"daily""weekly""biweekly""monthly"
day_of_month?|null
local_hour*Local Hour
Range0 <= value <= 23
local_minute*Local Minute
Range0 <= value <= 59
missed_run_policy?Missed Run Policy
Default"skip"
Value in"skip""run_once"
name*Name
Length1 <= length <= 255
repository_id*Repository Id
Formatuuid
timezone*Timezone
Length1 <= length <= 100
weekday?|null

Response Body

Successful Response

application/json
  1. response
anchor_date*|null
assessment_type?SelectableAssessmentTypeId
Default"security"
Value in"architecture""security"
branch_ref?string|null
cadence*Cadence
created_at*Created At
Formatdate-time
day_of_month*integer|null
id*Id
Formatuuid
last_dispatched_at*|null
last_error_code*string|null
last_run_at*|null
local_hour*Local Hour
local_minute*Local Minute
missed_run_policy*Missed Run Policy
name*Name
next_run_at*Next Run At
Formatdate-time
origin?Origin

system_default when first-run autopilot created it on connect.

Default"user"
Value in"user""system_default"
owner_id*Owner Id
Formatuuid
repository_id*Repository Id
Formatuuid
state*State
temporal_schedule_id*Temporal Schedule Id
timezone*Timezone
updated_at*Updated At
Formatdate-time
version*Version
weekday*integer|null
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-schedules' \  -H 'Content-Type: application/json' \  -d '{  "cadence": "daily",  "local_hour": 0,  "local_minute": 0,  "name": "string",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "timezone": "string"}'
Example Response
{  "anchor_date": "2019-08-24",  "assessment_type": "architecture",  "branch_ref": "string",  "cadence": "string",  "created_at": "2019-08-24T14:15:22Z",  "day_of_month": 0,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_dispatched_at": "2019-08-24T14:15:22Z",  "last_error_code": "string",  "last_run_at": "2019-08-24T14:15:22Z",  "local_hour": 0,  "local_minute": 0,  "missed_run_policy": "string",  "name": "string",  "next_run_at": "2019-08-24T14:15:22Z",  "origin": "user",  "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05",  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "state": "string",  "temporal_schedule_id": "string",  "timezone": "string",  "updated_at": "2019-08-24T14:15:22Z",  "version": 0,  "weekday": 0,  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}